%=======================================================================
%To solve optimization problem:
%Create a new subfolder in ...\PSG\MATLAB:
%..\PSG\MATLAB\problem_men1
%Download and unpack the following zipped file from 'Data' to the created folder:
%'Mat_data_problem_men1.zip'
%Run program 'problem_men1.m'
%=======================================================================

clc;
clear;
addpath('..');

%Load data:
load('.\problem_men1_data.mat')
%Define options for PSG solver:
stroptions.Solver = 'BULDOZER';
%Define input arguments:
string = {'pm2_pen_g'};
w = {0};

%Solve optimization problems:
[xout, fval, status, output] = riskprog(string, w, H, c, p, [], [], [], [], [], lb, ub, x0, stroptions);
 
%Display results:
disp(' ');
disp('Results: ');
%Display status of optimization problem:
disp(sprintf('status of optimization problem = %s', status));
%Display solving time:
disp(sprintf('solving time = %g', output.solving_time));
%Display objective:
disp(sprintf('objective = %g', fval));
%Display function:
disp(sprintf('pm2_pen_g= %g', output.frval));
%Display optimal point:
disp('optimal point = ');
disp(xout');
